MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026589Open CASCADE[OCCT] OCCT:Testspublic2015-08-21 19:132016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026589: Testgrid command - Add option to execute only tests failed on previous run
DescriptionDuring debugging of patches on OCCT it is often necessary to re-run tests on cases that were detected as regressions on previous run, to see if these regressions have been eliminated in the current state of the code.

To facilitate this task, it is proposed to add an option to testgrid command allowing to run only a set of tests that have been detected as regressions on some previous run. This can be organized like this:

> testgrid -regress <path_to_results>

Here <path_to_results> is path to directory containing results of previous run.

The procedure should parse <path_to_results>/tests.log and extract list of cases yielding FAILED or IMPROVEMENT status.

If testgrid command is executed with no arguments indicating explicitly grid(s) and cases to be run, then only regressive cases should be executed; otherwise they should be added to the indicated gropus / grids / cases. If there are no tests to be executed according to specified options, testgrid should exit with appropriate error message (as it does now).
Steps To Reproduce• Get test results with some fail and/or improvement

• run "testgrid -regress path_to_results" command
-> only fail and/or improvement should start

• run "testgrid bugs modalg_1 -regress path_to_results" command
-> all test cases from "bugs/modalg_1" and all fail/improvement test cases should start
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0044522)
abv (manager)
2015-08-22 07:13

One more (minor and unrelated) correction to be done: when extracting name of current Git workbench to generate default name of results directory, dash should be allowed as part of the branch name. Otherwise branches like "CR0-something" produce results starting from just "CR0".
(0049214)
git (administrator)
2015-12-16 17:05

Branch CR26589 has been created by ski.

SHA-1: 4f47e97803e0a9d3db54ca783b4a5c6d169e2b43


Detailed log of new commits:

Author: ski
Date: Wed Dec 16 16:57:20 2015 +0300

    0026589: Testgrid command - Add option to execute only tests failed on previous run
    
    New option for command testgrid was added.
    Updated documentation.
(0049218)
ski (developer)
2015-12-16 17:36

New option for command testgrid was added.
Documentation and help info for commands testgrid were updated.

Also, minor remark about naming of directory with result of testing was applied.

Please, review.
(0049660)
git (administrator)
2015-12-29 07:03

Branch CR26589 has been updated forcibly by abv.

SHA-1: 79d24e9c3e991bf36c8cb29e3c2c30478728d5dc
(0049661)
abv (manager)
2015-12-29 07:04

No remarks, please integrate. Branch CR26589 has been rebased on current master
(0052945)
git (administrator)
2016-04-17 13:46

Branch CR26589 has been deleted by kgv.

SHA-1: 79d24e9c3e991bf36c8cb29e3c2c30478728d5dc

- Related Changesets
occt: master b502ddc1
Timestamp: 2015-12-16 13:57:20
Author: abv
Committer: abv
Details ] Diff ]
0026589: Testgrid command - Add option to execute only tests failed on previous run

New option for command testgrid was added.
Updated documentation.
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-21 19:13 abv New Issue
2015-08-21 19:13 abv Assigned To => apn
2015-08-22 07:13 abv Note Added: 0044522
2015-12-16 16:57 ski Assigned To apn => ski
2015-12-16 16:57 ski Status new => assigned
2015-12-16 17:05 git Note Added: 0049214
2015-12-16 17:36 ski Note Added: 0049218
2015-12-16 17:36 ski Assigned To ski => abv
2015-12-16 17:36 ski Status assigned => resolved
2015-12-16 17:36 ski Steps to Reproduce Updated View Revisions
2015-12-29 07:03 git Note Added: 0049660
2015-12-29 07:04 abv Note Added: 0049661
2015-12-29 07:04 abv Assigned To abv => bugmaster
2015-12-29 07:04 abv Status resolved => reviewed
2016-01-15 16:57 abv Changeset attached => occt master b502ddc1
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status reviewed => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052945
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker